'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get2 = require('lodash/get');

var _get3 = _interopRequireDefault(_get2);

var _noop = require('lodash/noop');

var _noop2 = _interopRequireDefault(_noop);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var SyntheticFormEvent = function () {
  function SyntheticFormEvent(evt) {
    var data = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var meta = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

    _classCallCheck(this, SyntheticFormEvent);

    this._event = this.extractEvent(evt);
    this._formMeta = meta;
    this._formData = data;
  }

  _createClass(SyntheticFormEvent, [{
    key: 'extractEvent',
    value: function extractEvent(evt) {
      return {
        target: (0, _get3.default)(evt, 'target'),
        preventDefault: (0, _get3.default)(evt, 'preventDefault', _noop2.default),
        stopPropagation: (0, _get3.default)(evt, 'stopPropagation', _noop2.default)
      };
    }
  }, {
    key: 'target',
    set: function set(value) {
      this._event.target = value;
    },
    get: function get() {
      return {
        name: (0, _get3.default)(this, '_event.target.name'),
        value: (0, _get3.default)(this, '_event.target.value')
      };
    }
  }, {
    key: 'formData',
    set: function set(value) {
      this._formData = value;
    },
    get: function get() {
      return _extends({}, this._formData);
    }
  }, {
    key: 'formMeta',
    set: function set(value) {
      this._formMeta = value;
    },
    get: function get() {
      return _extends({}, this._formMeta);
    }
  }, {
    key: 'isSyntheticFormEvent',
    get: function get() {
      return true;
    }
  }, {
    key: 'event',
    get: function get() {
      return _extends({}, this._event);
    }
  }, {
    key: 'preventDefault',
    get: function get() {
      return (0, _get3.default)(this, '_event.preventDefault', _noop2.default);
    }
  }, {
    key: 'stopPropagation',
    get: function get() {
      return (0, _get3.default)(this, '_event.stopPropagation', _noop2.default);
    }
  }]);

  return SyntheticFormEvent;
}();

exports.default = SyntheticFormEvent;