'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _SyntheticFormEvent = require('./SyntheticFormEvent');

var _SyntheticFormEvent2 = _interopRequireDefault(_SyntheticFormEvent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createSyntheticFormEvent(evt) {
  if (evt.isSyntheticFormEvent) {
    return evt;
  }

  for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  return new (Function.prototype.bind.apply(_SyntheticFormEvent2.default, [null].concat([evt], args)))();
}

exports.default = createSyntheticFormEvent;