"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var compose = function compose() {
  for (var _len = arguments.length, decorators = Array(_len), _key = 0; _key < _len; _key++) {
    decorators[_key] = arguments[_key];
  }

  var reversed = decorators.reverse();

  return function (Component) {
    return reversed.reduce(function (wrapped, fn) {
      return fn(wrapped);
    }, Component);
  };
};

exports.default = compose;