'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _constants = require('./constants');

var _constants2 = _interopRequireDefault(_constants);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var update = function update(name, syntheticFormEvent) {
  return {
    type: _constants2.default.UPDATE,
    payload: {
      name: name,
      formData: syntheticFormEvent.formData,
      formMeta: syntheticFormEvent.formMeta
    }
  };
};

var reset = function reset(name) {
  return {
    type: _constants2.default.RESET,
    payload: {
      name: name
    }
  };
};

exports.default = {
  update: update,
  reset: reset
};