'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isPropKeyEqual(key, props, nextProps) {
  var nextData = (0, _get2.default)(nextProps, key);
  var currentData = (0, _get2.default)(props, key);
  return (0, _isEqual2.default)(nextData, currentData);
}

exports.default = isPropKeyEqual;